"use strict";

exports.buildPattern = buildPattern;
exports.buildRegExp = buildRegExp;
var _encoder = require("./encoder.js");
function buildRegExp(sequence, flags) {
  const pattern = (0, _encoder.encode)(sequence).pattern;
  const flagsString = encodeFlags(flags ?? {});
  return new RegExp(pattern, flagsString);
}
function buildPattern(sequence) {
  return (0, _encoder.encode)(sequence).pattern;
}
function encodeFlags(flags) {
  let result = '';
  if (flags.global) result += 'g';
  if (flags.ignoreCase) result += 'i';
  if (flags.multiline) result += 'm';
  if (flags.hasIndices) result += 'd';
  if (flags.dotAll) result += 's';
  if (flags.sticky) result += 'y';
  return result;
}
//# sourceMappingURL=builders.js.map