"use strict";

exports.capture = capture;
exports.ref = ref;
var _encoder = require("../encoder.js");
function capture(sequence, options) {
  const name = options?.name;
  if (name) {
    return {
      precedence: 'atom',
      pattern: `(?<${name}>${(0, _encoder.encode)(sequence).pattern})`
    };
  }
  return {
    precedence: 'atom',
    pattern: `(${(0, _encoder.encode)(sequence).pattern})`
  };
}
function ref(name) {
  return {
    precedence: 'atom',
    pattern: `\\k<${name}>`,
    name
  };
}
//# sourceMappingURL=capture.js.map