"use strict";

exports.choiceOf = choiceOf;
var _encoder = require("../encoder.js");
function choiceOf(...alternatives) {
  if (alternatives.length === 0) {
    throw new Error('`choiceOf` should receive at least one alternative');
  }
  const encodedAlternatives = alternatives.map(c => (0, _encoder.encode)(c));
  if (encodedAlternatives.length === 1) {
    return encodedAlternatives[0];
  }
  return {
    precedence: 'disjunction',
    pattern: encodedAlternatives.map(n => n.pattern).join('|')
  };
}
//# sourceMappingURL=choice-of.js.map