"use strict";

exports.repeat = repeat;
var _encoder = require("../encoder.js");
function repeat(sequence, options) {
  const elements = Array.isArray(sequence) ? sequence : [sequence];
  if (elements.length === 0) {
    throw new Error('`repeat` should receive at least one element');
  }
  if (typeof options === 'number') {
    return {
      precedence: 'sequence',
      pattern: `${(0, _encoder.encodeAtomic)(elements)}{${options}}`
    };
  }
  return {
    precedence: 'sequence',
    pattern: `${(0, _encoder.encodeAtomic)(elements)}{${options.min},${options?.max ?? ''}}${options.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=repeat.js.map