import { encodeAtomic } from "../encoder.mjs";
export function repeat(sequence, options) {
  const elements = Array.isArray(sequence) ? sequence : [sequence];
  if (elements.length === 0) {
    throw new Error('`repeat` should receive at least one element');
  }
  if (typeof options === 'number') {
    return {
      precedence: 'sequence',
      pattern: `${encodeAtomic(elements)}{${options}}`
    };
  }
  return {
    precedence: 'sequence',
    pattern: `${encodeAtomic(elements)}{${options.min},${options?.max ?? ''}}${options.greedy === false ? '?' : ''}`
  };
}
//# sourceMappingURL=repeat.mjs.map