import { buildRegExp } from "../builders.mjs";
import { endOfString, startOfString, wordBoundary } from "../constructs/anchors.mjs";
import { charClass, charRange } from "../constructs/char-class.mjs";
import { digit } from "../constructs/char-escape.mjs";
import { choiceOf } from "../constructs/choice-of.mjs";
import { repeat } from "../constructs/repeat.mjs";
const hexDigit = charClass(digit, charRange('a', 'f'));
export const hexColorFinder = buildRegExp(['#', choiceOf(repeat(hexDigit, 6), repeat(hexDigit, 3)), wordBoundary], {
  ignoreCase: true,
  global: true
});
export const hexColorValidator = buildRegExp([startOfString, '#', choiceOf(repeat(hexDigit, 6), repeat(hexDigit, 3)), endOfString], {
  ignoreCase: true
});
//# sourceMappingURL=hex-color.mjs.map